#### D.6.20.19 tangentcone

Procedure from library `sing.lib` (see sing_lib).

Usage:
  tangentcone(id [,n]); id = ideal, n = int

Return:
  the tangent cone of id

Note:
  The procedure works for any monomial ordering.
  If n=0 use std w.r.t. local ordering ds, if n=1 use locstd.

Example:

    LIB "sing.lib";
    ring R = 0,(x,y,z),ds;
    ideal i  = 7xyz+z5,x2+y3+z7,5z5+y5;
    tangentcone(i);
    ==> _[1]=x2
    ==> _[2]=7xyz
    ==> _[3]=y5+5z5
    ==> _[4]=7y4z
    ==> _[5]=35z6

User manual for Singular version 4.4.1, 2025, generated by texi2html.